[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyIdleEndHandler

Notifies all Idle End handlers when a new message has arrived.

## Declaration

Source position: forms.pp line 1574

`protected procedure TApplication.NotifyIdleEndHandler;`

## Description

Executes the CallNotifyEvents method in the TMethodList for the handler type. Te application instance is passed as an argument to the method.

NotifyIdleEndHandler is called when AppIdleEndSent is included in the Flags for the TApplication instance. It occurs after the OnIdleEnd event handler has been signalled (when assigned).

## See also

TApplication.OnIdleEnd |  | Event handler signalled when the application leaves the Idle state.
TApplicationHandlerType |  | Types of Application notification handlers.